Subject: Re: GSoC 2024

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 26 Mar 2024 12:22:30 +0100

On Tue, Mar 26, 2024 at 02:33:59PM +0530, Aishwarya Narayanan wrote:
> Dear Git Project Maintainers,
> 
> Assistance Needed: Locating Test Script for Addressing Git's Exit Code
> Suppression. I hope this email finds you well. My name is Aishwarya,
> and I am reaching out to seek assistance with a microproject I am
> working on within the Git project.

Please not that top-posting is discouraged on the Git mailing list [1].

> As part of my efforts to contribute to the Git project, I am currently
> focusing on addressing the suppression of Git's exit code in test
> scripts, as outlined in the project's microproject ideas.
> Specifically, I aim to identify a test script within the t directory
> where Git's exit code may be inadvertently suppressed.
> 
> While I have attempted to locate such a test script independently, I
> have encountered challenges in identifying a suitable candidate.
> Therefore, I am reaching out to request guidance from the project
> maintainers in locating a test script where this issue needs to be
> addressed.
> I tried commands that included:
> grep -Er "git .* \|" t/, grep -R "git .* |" t/, findstr /s /i /p "git .* |" *.sh
> 
> Could you please provide any insights or guidance on identifying a
> test script within the t directory that exhibits the suppression of
> Git's exit code? Any pointers or suggestions would be greatly
> appreciated.
> 
> Additionally, if there are specific criteria or patterns that I should
> look for when identifying such test scripts, please let me know, and I
> will ensure to align my search accordingly.

The command proposed by Karthik (which is also part of your pipeline
above) does result in several matches in "t/", some of which are actual
good candidates for a micro project. Did you scan through these matches?
The microprojects page at [2] should give you a good idea for what to be
on the lookout for as it explains the issue as well as highlighting some
patterns to watch out for.

Patrick

[1]: https://www.mediawiki.org/wiki/Mailing_list_etiquette
[2]: https://git.github.io/SoC-2024-Microprojects/